## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autochangelog
## END: Set by rpmautospec

%ifarch %{golang_arches}
%bcond man 1
%endif

Name:           composefs
Version:        1.0.8
Release:        1%{?dist}
Summary:        Tools to handle creating and mounting composefs images

License:        LGPL-2.1-or-later AND (GPL-2.0-only OR Apache-2.0)
URL:            https://github.com/containers/composefs
Source0:        https://github.com/containers/composefs/releases/download/v%{version}/%{name}-%{version}.tar.xz

BuildRequires:  gcc meson openssl-devel fuse3-devel
%if %{with man}
BuildRequires:  go-md2man
%endif

Requires:       %{name}-libs = %{version}-%{release}

%description
Tools to handle creating and mounting composefs images. The composefs
project combines several underlying Linux features to provide a very
flexible mechanism to support read-only mountable filesystem trees,
stacking on top of an underlying "lower" Linux filesystem.

Please see https://github.com/containers/composefs for more information.

%package        devel
Summary:        Devel files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description    devel
Devel files for %{name}.

%package        libs
Summary:        Libraries for %{name}
License:        LGPL-2.1-or-later AND (GPL-2.0-only OR Apache-2.0)

%description    libs
Library files for %{name}.

%prep
%autosetup -p1

%build
%meson --default-library=shared -Dfuse=enabled \
%if %{with man}
  -Dman=enabled 
%endif
%meson_build

%install
%meson_install
rm -v $RPM_BUILD_ROOT/%{_libdir}/libcomposefs*.a

%files devel
%{_includedir}/libcomposefs
%{_libdir}/libcomposefs.so
%{_libdir}/pkgconfig/%{name}.pc

%files libs
%license COPYING* LICENSE.Apache-2.0 BSD-2-Clause.txt
%{_libdir}/libcomposefs.so.*

%files
%license COPYING* LICENSE.Apache-2.0 BSD-2-Clause.txt
%doc README.md
%{_bindir}/mkcomposefs
%{_bindir}/composefs-info
%{_sbindir}/mount.composefs
%if %{with man}
%{_mandir}/man*/*
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jan 03 2025 Colin Walters <walters@verbum.org> - 1.0.8-1
- Update to https://github.com/containers/composefs/releases/tag/v1.0.8

* Sat Dec 07 2024 Colin Walters <walters@verbum.org> - 1.0.7-2
- Fix build
- Related: RHEL-60292

* Tue Nov 26 2024 MSVSphere Packaging Team <packager@msvsphere-os.ru> - 1.0.7-1
- Rebuilt for MSVSphere 10

* Wed Nov 13 2024 Jindrich Novy <jnovy@redhat.com> - 1.0.7-1
- composefs-1.0.7-1.el10
- update to https://github.com/containers/composefs/releases/tag/v1.0.7
- Related: RHEL-60292

* Tue Oct 29 2024 Troy Dawson <tdawson@redhat.com> - 1.0.6-2
- Bump release for October 2024 mass rebuild:

* Thu Sep 26 2024 Jindrich Novy <jnovy@redhat.com> - 1.0.6-1
- update to the latest upstream release
  https://github.com/containers/composefs/releases/tag/v1.0.6 Related:
  RHEL-60292

* Mon Aug 19 2024 Jindrich Novy <jnovy@redhat.com> - 1.0.5-1
- composefs-1.0.5-1.el10
- update to https://github.com/containers/composefs/releases/tag/v1.0.5
- Related: RHEL-34195

* Thu Jun 27 2024 Colin Walters <walters@verbum.org> - 1.0.4-1
- Update to 1.0.4
## END: Generated by rpmautospec
